Issues upgrading from 3.2.8 to 3.2.9

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

Support Request Template
What version of phpBB are you using? phpBB 3.2.8
What is your board's URL? www.lunicus.org/Forum
Who do you host your board with? HostGator
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What version of phpBB3 did you update from? phpBB 3.2.8
What extensions do you have installed? image upload
Flags International
StopSpamStop
What styles do you currently have installed? We_Universal
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5
What is your level of experience? New to PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Upgrading from 3.2.8 to 3.2.9 using the full 3.2.9 package has given me a lot of issues.

Backup all board files and the database.
Went to phpBB.com downloads page and download the 3.2.9 "Full Package" archive.
Unpacked the archiveand removed the config.php file, and the /images, /store and /files folders from the package.
Went to the ACP, Board settings, and make sure prosilver is set as the default style. disabling my current style
Deleted the /vendor and /cache folders from the board???s root folder on the host.
Via Filezilla upload the remaining files and folders to the root folder of my board
Tried to open the Install page - bang get the error
Please describe your problem. Not sure if related: There was a phishing hack a few days back on my site. Which has been removed (confirmed by Google and the Netcraft Takedown service)

My ISP has investigated and tried updating the PHP versions however, the issue is still not fixed. They have confirmed with their admins.

My PHP version is 7.3.

Can I delete the forum and install the latest version 3.3.0 using the same location and DB name, then import the files and database I backed up (as part of the upgrade process)?

Or do I have to reinstall 3.2.8 and import my data?

I don't want to lose any content or user accounts basically?

My ISP has an option to install v3.3.0 as a script - hence the question.
Generated by SRT Generator

User avatar
Lumpy Burgertushie
Registered User
Posts: 67231
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by Lumpy Burgertushie »

go back and use the ftp to delete everything but the config.php file and the ext, files and store folder.

then upload all new files except for the config.php file.

make sure that the config.php file has mysqli instead of mysql in it.

then access yourboard/install and click on the update tab.
then click on the update button, then click on the update database only button.

then delete the folder named install and you should be fine.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

Thanks for the instructions,

Removed all files except Config.php
Removed all folders except ext / files and store
Uploaded via Filezilla contents of PHP 3.3.0 full (minus Config.php)
Checked server side Config.php for "mysqli" entry - present

Load "lunicus.org/Forum/install"
Get Error 500 :(

User avatar
janus_zonstraal
Registered User
Posts: 4064
Joined: Sat Aug 30, 2014 1:30 pm

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by janus_zonstraal »

Did you check your server error logs?
Sorry! My English is bat ;) !!!

User avatar
warmweer
Jr. Extension Validator
Posts: 3903
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by warmweer »

nzuraw wrote:
Tue Feb 11, 2020 2:16 am

What version of phpBB are you using? phpBB 3.2.8

What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? Upgrading from 3.2.8 to 3.2.9 using the full 3.2.9 package has given me a lot of issues.

My PHP version is 7.3.

My ISP has an option to install v3.3.0 as a script - hence the question.
phpBB 3.2.x is not compatible with php 7.3 leaving you with the choice to continue using 3.2 but then you need to use a lower php version, or to upgrade to phpBB3.3

Do not use a host install script to update or upgrade phpBB.
If you upgrade : follow Upgrading from 3.2 to 3.3
We should embrace problems, without which there wouldn't be any solutions.

nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

My phpinfo.php says PHP Version 7.3.13

So Full upload of 3.3.0 then

User avatar
warmweer
Jr. Extension Validator
Posts: 3903
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by warmweer »

nzuraw wrote:
Tue Feb 11, 2020 8:18 am
My phpinfo.php says PHP Version 7.3.13

So Full upload of 3.3.0 then
Yep, and test your extensions for 3.3 compatibility.
If you follow the instructions (that includes backup) there 's no risk.
However: if you have some custom edits to your style, you might want to test on a local copy of you board first to find out whether those can be reused or have to be re-customised.
We should embrace problems, without which there wouldn't be any solutions.

nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

I trashed the folder, so it's just the database left. The extensions are easy to re-add and also the style.

I want as clean an install as possible.

User avatar
warmweer
Jr. Extension Validator
Posts: 3903
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by warmweer »

nzuraw wrote:
Tue Feb 11, 2020 8:39 am
I trashed the folder, so it's just the database left. The extensions are easy to re-add and also the style.

I want as clean an install as possible.
Except that it's not an install but an upgrade.
As to trashing the folder ?? It not clear to me what that encompasses and at which moment (e.g. removing extension files before the extension is disabled and data deleted will in many cases cause problems.).
As long as you follow the guide you 'll be OK.
We should embrace problems, without which there wouldn't be any solutions.

nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

My ISP advised to delete everything and start from scratch.... blast... I hope I don't lose all my content - I will have some rather p@#$$#@ off users.

User avatar
warmweer
Jr. Extension Validator
Posts: 3903
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by warmweer »

nzuraw wrote:
Tue Feb 11, 2020 9:07 am
My ISP advised to delete everything and start from scratch.... blast... I hope I don't lose all my content - I will have some rather p@#$$#@ off users.
The content is in the database (and you mention that you have that so it shouldn't be a problem). However, copy that database before using it in anything/modifying it in any way!
The files are needed to extract data from the database and to present that in a readable form.

If your files were removed before the database was prepared for the upgrade (deactivating all styles except for prosilver, removing all languages except for British English, deactivating all extensions (and preferably disabling, deleting data and removing those not compatible with 3.3.) (I would also add: using one of the default phpBB captcha's), then your database contains references to something which isn't there anymore and the upgrade may fail.
No panic: the database is the most important and a restore, putting back the files from the not-updated board will allow you to fix that.

it's always safe to test updates/upgrades on a copy (personal webserver or on the host) before executing that action on the live board.
We should embrace problems, without which there wouldn't be any solutions.

nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

Up and working... sort of...

Files Version 3.3.0
Database version 3.2.8
Latest version 3.2.9

When I fired up the Install page - I got an message saying to delete the install folder. DId that and can access my forum - though with the details above.

User avatar
warmweer
Jr. Extension Validator
Posts: 3903
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by warmweer »

nzuraw wrote:
Tue Feb 11, 2020 9:36 am
Up and working... sort of...

Files Version 3.3.0
Database version 3.2.8
Latest version 3.2.9

When I fired up the Install page - I got an message saying to delete the install folder. DId that and can access my forum - though with the details above.
Did you actually do the upgrade? (database update only)
Browsing to your board while the Install directory is present should automaticallly bring up the update/upgrade page is the database version is lower than the files version. If it doesn't redirect you automatically >> then try install/app.php
We should embrace problems, without which there wouldn't be any solutions.

nzuraw
Registered User
Posts: 24
Joined: Thu Nov 07, 2019 11:57 pm
Location: Down Under
Name: Nicholas
Contact:

Re: Issues upgrading from 3.2.8 to 3.2.9

Post by nzuraw »

re-uploaded the installs folder and updated the database

Current version now 3.3.0

Everything back except extensions and style - which I will do now

Post Reply

Return to “[3.2.x] Support Forum”